Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3045)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Error messages revised, code adjusted to PALMs coding standards, CASE pt_ext
+! pt_new disabled, comment revised
+! 
+! 3004 2018-04-27 12:33:25Z Giersch
 ! .NOT. found in if-query added to account for variables found in tcm
 ! 
@@ -708,5 +712,5 @@
        IF ( netcdf_deflate < 0  .OR.  netcdf_deflate > 9 )  THEN
           WRITE ( message_string, '(A,I3,A)' ) 'netcdf_deflate out of ' //     &
-                                      'range & given value: ', netcdf_deflate, &
+                                      'range given value: ', netcdf_deflate,   &
                                       ', allowed range: 0-9'
           CALL message( 'netcdf_define_header', 'PA0355', 2, 2, 0, 6, 0 )
@@ -734,6 +738,7 @@
 
 !
-!-- Select the mode to be processed. Possibilities are 3d, mask, xy, xz, yz, 
-!-- pr and ts.
+!-- Select the mode to be processed. Possibilities are 3d, ma (mask), xy, xz, 
+!-- yz, pr (profiles), ps (particle timeseries), fl (flight data), ts 
+!-- (timeseries) or sp (spectra)
     SELECT CASE ( mode )
 
@@ -1185,8 +1190,8 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ), &
-                  ' data for mask', mid, ' from previous run found,', &
-                  '&but this file cannot be extended due to variable ', &
-                  'mismatch.&New file is created instead.'
+             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),       &
+                  ' data for mask', mid, ' from previous run found,',           &
+                  ' but this file cannot be extended due to variable ',         &
+                  'mismatch. New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0335', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -1206,15 +1211,15 @@
           id_dim_zu_mask(mid,av) = id_dim_zu_mask_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_mask(mid,av),    &
-                                            id_dim_zu_mask(mid,av), &
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_mask(mid,av),               &
+                                            id_dim_zu_mask(mid,av),            &
                                             len = nz_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 510 )
 
           IF ( mask_size(mid,3) /= nz_old )  THEN
-             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ), &
-                  ' data for mask', mid, ' from previous run found,', &
-                  '&but this file cannot be extended due to mismatch in ', &
-                  ' number of&vertical grid points.', &
-                  '&New file is created instead.'
+             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),      &
+                  ' data for mask', mid, ' from previous run found,',          &
+                  ' but this file cannot be extended due to mismatch in ',     &
+                  ' number of vertical grid points.',                          &
+                  ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0336', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -1227,32 +1232,32 @@
 !--       The current time must be larger than the last output time
 !--       on the file.
-          nc_stat = NF90_INQ_VARID( id_set_mask(mid,av), 'time', &
+          nc_stat = NF90_INQ_VARID( id_set_mask(mid,av), 'time',               &
                                     id_var_time_mask(mid,av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 511 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_mask(mid,av), &
-                                           id_var_time_mask(mid,av), &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_mask(mid,av),                &
+                                           id_var_time_mask(mid,av),           &
                                            dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 512 )
           id_dim_time_mask(mid,av) = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_mask(mid,av), &
-                                            id_dim_time_mask(mid,av), &
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_mask(mid,av),               &
+                                            id_dim_time_mask(mid,av),          &
                                             len = domask_time_count(mid,av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 513 )
 
-          nc_stat = NF90_GET_VAR( id_set_mask(mid,av), &
-                                  id_var_time_mask(mid,av), &
-                                  last_time_coordinate,              &
-                                  start = (/ domask_time_count(mid,av) /), &
+          nc_stat = NF90_GET_VAR( id_set_mask(mid,av),                         &
+                                  id_var_time_mask(mid,av),                    &
+                                  last_time_coordinate,                        &
+                                  start = (/ domask_time_count(mid,av) /),     &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 514 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ), &
-                  ' data for mask', mid, ' from previous run found,', &
-                  '&but this file cannot be extended because the current ', &
-                  'output time&is less or equal than the last output time ', &
-                  'on this file.&New file is created instead.'
+             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),      &
+                  ' data for mask', mid, ' from previous run found,',          &
+                  ' but this file cannot be extended because the current ',    &
+                  'output time is less or equal than the last output time ',   &
+                  'on this file. New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0337', 0, 1, 0, 6, 0 )
              domask_time_count(mid,av) = 0
@@ -1283,18 +1288,18 @@
              time_average_text = ' '
           ELSE
-             WRITE (time_average_text, '('', '',F7.1,'' s average'')') &
+             WRITE (time_average_text, '('', '',F7.1,'' s average'')')         &
                                                             averaging_interval
           ENDIF
           nc_stat = NF90_REDEF( id_set_mask(mid,av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 516 )
-          nc_stat = NF90_PUT_ATT( id_set_mask(mid,av), NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header ) //    &
+          nc_stat = NF90_PUT_ATT( id_set_mask(mid,av), NF90_GLOBAL, 'title',   &
+                                  TRIM( run_description_header ) //            &
                                   TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 517 )
           nc_stat = NF90_ENDDEF( id_set_mask(mid,av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 518 )
-          WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ), &
-               ' data for mask', mid, ' from previous run found.', &
-               '&This file will be extended.'
+          WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),         &
+               ' data for mask', mid, ' from previous run found.',             &
+               ' This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0338', 0, 0, 0, 6, 0 )
 !
@@ -1307,5 +1312,5 @@
 !
 !--       Define some global attributes of the dataset
-          nc_stat = NF90_PUT_ATT( id_set_3d(av), NF90_GLOBAL, 'Conventions', &
+          nc_stat = NF90_PUT_ATT( id_set_3d(av), NF90_GLOBAL, 'Conventions',   &
                                   'COARDS' )
           CALL netcdf_handle_error( 'netcdf_define_header', 62 )
@@ -1756,7 +1761,7 @@
              message_string = 'netCDF file for volume data ' //             &
                               TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended due to' // &
+                              ' but this file cannot be extended due to' // &
                               ' variable mismatch.' //                      &
-                              '&New file is created instead.'
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0245', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -1781,8 +1786,8 @@
               message_string = 'netCDF file for volume data ' //             &
                                TRIM( var ) // ' from previous run found,' // &
-                               '&but this file cannot be extended due to' // &
+                               ' but this file cannot be extended due to' // &
                                ' mismatch in number of' //                   &
-                               '&vertical grid points (nz_do3d).' //         &
-                               '&New file is created instead.'
+                               ' vertical grid points (nz_do3d).' //         &
+                               ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0246', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -1822,11 +1827,11 @@
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for volume data ' // &
+             message_string = 'netCDF file for volume data ' //             &
                               TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended becaus' // &
+                              ' but this file cannot be extended becaus' // &
                               'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
+                              ' is less or equal than the last output t' // &
                               'ime on this file.' //                        &
-                              '&New file is created instead.'
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0247', 0, 1, 0, 6, 0 )
              do3d_time_count(av) = 0
@@ -1842,9 +1847,9 @@
                 message_string = 'netCDF file for volume data ' // &
                                  TRIM( var ) // ' from previous run found,' // &
-                                 '&but this file cannot be extended becaus' // &
-                                 'e the number of output time levels&has b' // &
+                                 ' but this file cannot be extended becaus' // &
+                                 'e the number of output time levels has b' // &
                                  'een increased compared to the previous s' // &
                                  'imulation.' //                               &
-                                 '&New file is created instead.'
+                                 ' New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0388', 0, 1, 0, 6, 0 )
                 do3d_time_count(av) = 0
@@ -1912,5 +1917,5 @@
           message_string = 'netCDF file for volume data ' //             &
                            TRIM( var ) // ' from previous run found.' // &
-                           '&This file will be extended.'
+                           ' This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0248', 0, 0, 0, 6, 0 )
 
@@ -2470,7 +2475,7 @@
              message_string = 'netCDF file for cross-sections ' //           &
                               TRIM( var ) // ' from previous run found,' //  &
-                              '& but this file cannot be extended due to' // &
+                              ' but this file cannot be extended due to' //  &
                               ' variable mismatch.' //                       &
-                              '&New file is created instead.'
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0249', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -2503,8 +2508,8 @@
              message_string = 'netCDF file for cross-sections ' //          &
                               TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended due to' // &
+                              ' but this file cannot be extended due to' // &
                               ' mismatch in number of' //                   &
-                              '&cross sections.' //                         &
-                              '&New file is created instead.'
+                              ' cross sections.' //                         &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0250', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -2522,11 +2527,11 @@
              IF ( section(i,1) /= -1 )  THEN
                 IF ( zu(section(i,1)) /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //     &
-                               TRIM( var ) // ' from previous run found,' // &
-                               '&but this file cannot be extended' //        &
-                               ' due to mismatch in cross' //                &
-                               '&section levels.' //                         &
-                               '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', &
+                   message_string = 'netCDF file for cross-sections ' //       &
+                               TRIM( var ) // ' from previous run found,' //   &
+                               ' but this file cannot be extended' //          &
+                               ' due to mismatch in cross' //                  &
+                               ' section levels.' //                           &
+                               ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251',             &
                                                                  0, 1, 0, 6, 0 )
                    extend = .FALSE.
@@ -2535,11 +2540,11 @@
              ELSE
                 IF ( -1.0_wp /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //     &
-                               TRIM( var ) // ' from previous run found,' // &
-                               '&but this file cannot be extended' //        &
-                               ' due to mismatch in cross' //                &
-                               '&section levels.' //                         &
-                               '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251',&
+                   message_string = 'netCDF file for cross-sections ' //       &
+                               TRIM( var ) // ' from previous run found,' //   &
+                               ' but this file cannot be extended' //          &
+                               ' due to mismatch in cross' //                  &
+                               ' section levels.' //                           &
+                               ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251',             &
                                                                  0, 1, 0, 6, 0 )
                    extend = .FALSE.
@@ -2575,18 +2580,18 @@
           IF ( netcdf_data_format < 5 ) do2d_xy_time_count(av) = ntime_count
 
-          nc_stat = NF90_GET_VAR( id_set_xy(av), id_var_time_xy(av),    &
-                                  last_time_coordinate,                 &
-                                  start = (/ do2d_xy_time_count(av) /), &
+          nc_stat = NF90_GET_VAR( id_set_xy(av), id_var_time_xy(av),           &
+                                  last_time_coordinate,                        &
+                                  start = (/ do2d_xy_time_count(av) /),        &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 137 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for cross sections ' //          &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for cross sections ' //             &
+                              TRIM( var ) // ' from previous run found,' //    &
+                              ' but this file cannot be extended becaus' //    &
+                              'e the current output time' //                   &
+                              ' is less or equal than the last output t' //    &
+                              'ime on this file.' //                           &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0252', 0, 1, 0, 6, 0 )
              do2d_xy_time_count(av) = 0
@@ -2602,9 +2607,9 @@
                 message_string = 'netCDF file for cross sections ' //          &
                                  TRIM( var ) // ' from previous run found,' // &
-                                 '&but this file cannot be extended becaus' // &
-                                 'e the number of output time levels&has b' // &
+                                 ' but this file cannot be extended becaus' // &
+                                 'e the number of output time levels has b' // &
                                  'een increased compared to the previous s' // &
                                  'imulation.' //                               &
-                                 '&New file is created instead.'
+                                 ' New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0389', 0, 1, 0, 6, 0 )
                 do2d_xy_time_count(av) = 0
@@ -2666,13 +2671,13 @@
           nc_stat = NF90_REDEF( id_set_xy(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 431 )
-          nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header ) //    &
+          nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'title',         &
+                                  TRIM( run_description_header ) //            &
                                   TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 139 )
           nc_stat = NF90_ENDDEF( id_set_xy(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 432 )
-          message_string = 'netCDF file for cross-sections ' //           &
-                            TRIM( var ) // ' from previous run found.' // &
-                           '&This file will be extended.'
+          message_string = 'netCDF file for cross-sections ' //                &
+                            TRIM( var ) // ' from previous run found.' //      &
+                           ' This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0253', 0, 0, 0, 6, 0 )
           
@@ -2682,5 +2687,5 @@
 !
 !--       Define some global attributes of the dataset
-          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'Conventions', &
+          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'Conventions',   &
                                   'COARDS' )
           CALL netcdf_handle_error( 'netcdf_define_header', 140 )
@@ -2689,9 +2694,9 @@
              time_average_text = ' '
           ELSE
-             WRITE (time_average_text, '('', '',F7.1,'' s average'')') &
+             WRITE (time_average_text, '('', '',F7.1,'' s average'')')         &
                                                             averaging_interval
           ENDIF
-          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header )  //   &
+          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'title',         &
+                                  TRIM( run_description_header )  //           &
                                   TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 141 )
@@ -2879,7 +2884,7 @@
 
                       IF ( .NOT. found )  THEN
-                         WRITE ( message_string, * ) 'no grid defined for', &
+                         WRITE ( message_string, * ) 'no grid defined for',    &
                                                 ' variable ', TRIM( do2d(av,i) )
-                         CALL message( 'define_netcdf_header', 'PA0244', &
+                         CALL message( 'define_netcdf_header', 'PA0244',       &
                                        0, 1, 0, 6, 0 )
                       ENDIF
@@ -3113,7 +3118,7 @@
              message_string = 'netCDF file for cross-sections ' //           &
                               TRIM( var ) // ' from previous run found,' //  &
-                              '& but this file cannot be extended due to' // &
+                              ' but this file cannot be extended due to' //  &
                               ' variable mismatch.' //                       &
-                              '&New file is created instead.'
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0249', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -3146,8 +3151,8 @@
              message_string = 'netCDF file for cross-sections ' //          &
                               TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended due to' // &
+                              ' but this file cannot be extended due to' // &
                               ' mismatch in number of' //                   & 
-                              '&cross sections.' //                         &
-                              '&New file is created instead.'
+                              ' cross sections.' //                         &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0250', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -3165,11 +3170,11 @@
              IF ( section(i,2) /= -1 )  THEN
                 IF ( ( ( section(i,2) + 0.5 ) * dy ) /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //     &
-                               TRIM( var ) // ' from previous run found,' // &
-                               '&but this file cannot be extended' //        &
-                               ' due to mismatch in cross' //                &
-                               '&section levels.' //                         &
-                                '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', &
+                   message_string = 'netCDF file for cross-sections ' //       &
+                               TRIM( var ) // ' from previous run found,' //   &
+                               ' but this file cannot be extended' //          &
+                               ' due to mismatch in cross' //                  &
+                               ' section levels.' //                           &
+                               ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251',             &
                                                                  0, 1, 0, 6, 0 )
                    extend = .FALSE.
@@ -3178,11 +3183,11 @@
              ELSE
                 IF ( -1.0_wp /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //     &
-                               TRIM( var ) // ' from previous run found,' // &
-                               '&but this file cannot be extended' //        &
-                               ' due to mismatch in cross' //                &
-                               '&section levels.' //                         &
-                               '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', &
+                   message_string = 'netCDF file for cross-sections ' //       &
+                               TRIM( var ) // ' from previous run found,' //   &
+                               ' but this file cannot be extended' //          &
+                               ' due to mismatch in cross' //                  &
+                               ' section levels.' //                           &
+                               ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251',             &
                                                                  0, 1, 0, 6, 0 )
                    extend = .FALSE.
@@ -3218,18 +3223,18 @@
           IF ( netcdf_data_format < 5 ) do2d_xz_time_count(av) = ntime_count
 
-          nc_stat = NF90_GET_VAR( id_set_xz(av), id_var_time_xz(av),    &
-                                  last_time_coordinate,                 &
-                                  start = (/ do2d_xz_time_count(av) /), &
+          nc_stat = NF90_GET_VAR( id_set_xz(av), id_var_time_xz(av),           &
+                                  last_time_coordinate,                        &
+                                  start = (/ do2d_xz_time_count(av) /),        &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 176 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for cross sections ' //          &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for cross sections ' //             &
+                              TRIM( var ) // ' from previous run found,' //    &
+                              ' but this file cannot be extended becaus' //    &
+                              'e the current output time' //                   &
+                              ' is less or equal than the last output t' //    &
+                              'ime on this file.' //                           &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0252', 0, 1, 0, 6, 0 )
              do2d_xz_time_count(av) = 0
@@ -3245,9 +3250,9 @@
                 message_string = 'netCDF file for cross sections ' // &
                                  TRIM( var ) // ' from previous run found,' // &
-                                 '&but this file cannot be extended becaus' // &
-                                 'e the number of output time levels&has b' // &
+                                 ' but this file cannot be extended becaus' // &
+                                 'e the number of output time levels has b' // &
                                  'een increased compared to the previous s' // &
                                  'imulation.' //                               &
-                                 '&New file is created instead.'
+                                 ' New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0390', 0, 1, 0, 6, 0 )
                 do2d_xz_time_count(av) = 0
@@ -3325,13 +3330,13 @@
           nc_stat = NF90_REDEF( id_set_xz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 433 )
-          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header ) //    &
+          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'title',         &
+                                  TRIM( run_description_header ) //            &
                                   TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 178 )
           nc_stat = NF90_ENDDEF( id_set_xz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 434 )
-          message_string = 'netCDF file for cross-sections ' //           &
-                            TRIM( var ) // ' from previous run found.' // &
-                           '&This file will be extended.'
+          message_string = 'netCDF file for cross-sections ' //                &
+                            TRIM( var ) // ' from previous run found.' //      &
+                           ' This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0253', 0, 0, 0, 6, 0 )
 
@@ -3341,5 +3346,5 @@
 !
 !--       Define some global attributes of the dataset
-          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'Conventions', &
+          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'Conventions',   &
                                   'COARDS' )
           CALL netcdf_handle_error( 'netcdf_define_header', 179 )
@@ -3348,14 +3353,14 @@
              time_average_text = ' '
           ELSE
-             WRITE (time_average_text, '('', '',F7.1,'' s average'')') &
+             WRITE (time_average_text, '('', '',F7.1,'' s average'')')         &
                                                             averaging_interval
           ENDIF
-          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header ) //    &
+          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'title',         &
+                                  TRIM( run_description_header ) //            &
                                   TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 180 )
           IF ( av == 1 )  THEN
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval
-             nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'time_avg', &
+             nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'time_avg',   &
                                      TRIM( time_average_text ) )
              CALL netcdf_handle_error( 'netcdf_define_header', 180 )
